[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Issues with building libvirt v6.7.0 on RHEL8.3



On Mon, Sep 14, 2020 at 04:24:20PM +0300, Eli Cohen wrote:
> On Mon, Sep 14, 2020 at 02:49:20PM +0200, Erik Skultety wrote:
> > On Mon, Sep 14, 2020 at 02:44:16PM +0300, Eli Cohen wrote:
> > > On Mon, Sep 14, 2020 at 12:14:40PM +0100, Daniel P. Berrangé wrote:
> > > > >
> > > > > $ ninja -C build
> > > > > ninja: Entering directory `build'
> > > > > [1124/1210] Generating virsh.html.in with a meson_exe.py custom command
> > > > > FAILED: docs/manpages/virsh.html.in
> > > > > /usr/bin/meson --internal exe --capture docs/manpages/virsh.html.in --
> > > > > /usr/local/bin/rst2html5 --stylesheet= --strict docs/manpages/virsh.rst
> > > >
> > > > We'd expect to see that in /usr/bin/rst2html5 - it looks lke you've
> > > > installed a non-standard docutils build / version and that appears to
> > > > be breaking docs generation.
> > > >
> > > >
> > >
> > > Looks to me like the build scripts look for rst2html5 in
> > > /usr/local/bin/. In anycase I did not put any package in /usr/local. In
> > > any case, I see different versions of rst2html5 in both /usr/bin and
> > > /usr/local/bin.
> >
> > It's not the build script that looks under /usr/local/bin, it's the PATH
> > variable which likely lists /usr/local/bin before /usr/bin. So, the only
> > explanation I have for you as for how rst2html5 appeared under /usr/local/bin
> > is that you or someone else installed it with pip as root.
> > And the new docutils 0.16 looks like broke libvirt, so please stick with 0.15.
> >
> I am on 0.15
>
> I tried all the recommendations given but I have htting issues all the
> time.
>
> If anyone has it working over any Linux distribution, I am will to try
> that. I have a server ready for these experiments. I just need to have
> the latest libvirt running on my system.
>

Well, if you look at our CI pipelines [1], you'll see that apart from Rawhide,
everything is green, so clearly the builds work. What other issues do you see?
Look at the Dockerfiles for the distros we have, install the packages you see
in the list and try re-running meson.

Erik

[1] https://gitlab.com/libvirt/libvirt/-/pipelines/189610405


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]